Update User Email Opt-in Preferences
This API updates a user’s overall email opt-in status and/or category-level subscription preferences within MoEngage. This API is typically used after a user submits the second confirmation through MoEngage consent-seeking emails (Double Opt-in).
Rate Limit
The rate limit is 1000 RPM (requests per minute) and 360K requests per day.Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Data tile.
For more information on authentication and getting your credentials, refer here.
Headers
This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
Body
The request body contains the user's email preference details encapsulated in a user_preferences object.
The main wrapper object for the user preferences payload.
Contains the user's opt-in preferences. Must contain either customer_id or email_id.
Response
The request has been processed successfully.
Success response body for the Opt-in Management API (200 OK).
The success message denoting the request was processed successfully.
"Your request has been processed successfully"